IndividualHudFruit = {};
IndividualHudFruit.metadata = {
	interface = " FS19 ...",
	title = " IndividualHudFruit",
	notes = " setzt neue Huds für Früchte",
	author = " (by HappyLooser)",
	version = " v0.5",	
	datum = " 02.01.2015",
	update = " 25.11.2018",
	web = " no",
	info = " Link Freigabe,Änderungen,Kopien oder Code Benutzung ist ohne meine Zustimmung nicht erlaubt",
	"##Orginal Link Freigabe:"
};

local pathFiles;
local path = getUserProfileAppPath();

function IndividualHudFruit:loadMap(name)
	print("---loading".. tostring(IndividualHudFruit.metadata.title).. tostring(IndividualHudFruit.metadata.version).. tostring(IndividualHudFruit.metadata.author).. "---")
	local pathSavegame = path.. "/IndividualHudFiles/savegame".. g_currentMission.missionInfo.savegameIndex.. "/";	
	if not fileExists(path.. "IndividualHudFiles/") then createFolder(path.. "IndividualHudFiles/");end;
	local isServer = FolderExists(pathSavegame);	
	if isServer then 
		print("---IndividualHudFruit...not load FillType Files for Server---")
		return;
	end;
	local fruitNames = "Found fruit names: ";
	local fruitNamesHud = "Found fruit Hud names: ";
	local replaceFill = 0;
	local replaceFillHud = 0;
	if pathFiles ~= nil then
		for i=1, #g_currentMission.fillTypeManager.fillTypes do
			local desc = g_currentMission.fillTypeManager.fillTypes[i];			
			local name = desc.name;			
			fruitNames = fruitNames.. name.. ",";			
			local individualHudFile = getHudFiles(name, nil, false);
			local individualHudFileSmall = getHudFiles(name, nil, true);			
			if individualHudFile ~= nil then
				desc.hudOverlayFilename = individualHudFile;
				replaceFill = replaceFill+1;
				if individualHudFileSmall ~= nil then 
					desc.hudOverlayFilenameSmall = individualHudFileSmall;					
				else					
					desc.hudOverlayFilenameSmall = individualHudFile;
				end;				
				if g_currentMission.individualHudFruit == nil then g_currentMission.individualHudFruit = true;end;
			end;
		end;
		--testing, next update
		for i=1, #g_currentMission.hud.fillTypeManager.fillTypes do
			local desc = g_currentMission.hud.fillTypeManager.fillTypes[i];			
			local name = desc.name;			
			fruitNamesHud = fruitNamesHud.. name.. ",";			
			local individualHudFile = getHudFiles(nil, name, false);
			local individualHudFileSmall = getHudFiles(nil, name, true);			
			if individualHudFile == nil then individualHudFile = getHudFiles(name, nil, false);end;
			if individualHudFileSmall == nil then individualHudFileSmall = getHudFiles(name, nil, true);end;
			if individualHudFile ~= nil then
				desc.hudOverlayFilename = individualHudFile;
				replaceFillHud = replaceFillHud+1;
				if individualHudFileSmall ~= nil then 
					desc.hudOverlayFilenameSmall = individualHudFileSmall;					
				else					
					desc.hudOverlayFilenameSmall = individualHudFile;
				end;				
				if g_currentMission.individualHudFruit == nil then g_currentMission.individualHudFruit = true;end;
			end;
		end;
		--testing,next update
		if replaceFill > 0 then
			print("---IndividualHudFruit...replace ".. tostring(replaceFill) .." FillTypes---")
		else
			print("!!! IndividualHudFruit...not found FillType Files !!!")
			print("!!! copy fruit files ---> .../IndividualHudFiles/_wheat.dds(_wheat_sml.dds) etc. etc. !!!")
		end;
		if replaceFillHud > 0 then
			print("---IndividualHudFruit...replace ".. tostring(replaceFillHud) .." Hud FillTypes---")
		else
			print("!!! IndividualHudFruit...not found Hud FillType Files !!!")
			print("!!! copy fruit files ---> .../IndividualHudFiles/hud_wheat.dds(hud_wheat_sml.dds) etc. etc. !!!")
		end;
		print("---IndividualHudFruit...search map names---")
		print(fruitNames)
		print(fruitNamesHud)
	else
		print("!!! IndividualHudFruit...not found Fruit Files !!!")
		print("!!! copy fruit files ---> .../IndividualHudFiles/_wheat.dds(_wheat_sml.dds) etc. etc. !!!")
	end;	
end;

function IndividualHudFruit:deleteMap()	
end;

function IndividualHudFruit:mouseEvent(posX, posY, isDown, isUp, button)
end;

function IndividualHudFruit:keyEvent(unicode, sym, modifier, isDown)	
end;

function IndividualHudFruit:updateTick(dt)
end;

function IndividualHudFruit:update(dt)
end;

function IndividualHudFruit:draw(dt)
end;

function FolderExists(strFolderName)	
	if g_server ~= nil and g_client == nil then
		isClient = true;
		return true;
	end;
	if fileExists(strFolderName.. "*.dds") then
		pathFiles = strFolderName;
	else		
		local pathHud = path.."/IndividualHudFiles/";
		if fileExists(pathHud.. "*.dds") then
			pathFiles = pathHud;
		end;
	end;	
end;

function getHudFiles(fruitName, fruitNameHud, small)
	if fruitName ~= nil then
		if not small then
			if fileExists(Utils.getFilename("_".. string.lower(fruitName).. '.dds', pathFiles)) then
				return Utils.getFilename("_".. string.lower(fruitName).. '.dds', pathFiles)	
			end;
		else
			if fileExists(Utils.getFilename("_".. string.lower(fruitName).. '_sml.dds', pathFiles)) then
				return Utils.getFilename("_".. string.lower(fruitName).. '_sml.dds', pathFiles)	
			end;
		end;
	end;
	if fruitNameHud ~= nil then
		if not small then
			if fileExists(Utils.getFilename("hud_".. string.lower(fruitNameHud).. '.dds', pathFiles)) then
				return Utils.getFilename("hud_".. string.lower(fruitNameHud).. '.dds', pathFiles)	
			end;
		else
			if fileExists(Utils.getFilename("hud_".. string.lower(fruitNameHud).. '_sml.dds', pathFiles)) then
				return Utils.getFilename("hud_".. string.lower(fruitNameHud).. '_sml.dds', pathFiles)	
			end;
		end;
	end;
end;
addModEventListener(IndividualHudFruit);

